Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench
Class BioUMLPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          biouml.workbench.BioUMLPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

public class BioUMLPlugin
extends org.eclipse.core.runtime.Plugin

Field Summary
`protected static org.apache.log4j.Category` | `log`
`protected static java.lang.String` | `modulePath`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`BioUMLPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)`

Method Summary
`static BioUMLPlugin` | `getInstance()`
`void` | `startup()`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### modulePath

    protected static java.lang.String modulePath

Constructor Detail

### BioUMLPlugin

    public BioUMLPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)

Method Detail

### getInstance

    public static BioUMLPlugin getInstance()

### startup

    public void startup()
                 throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.